using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PROXYCOMLib;


namespace ProxyCom_Tester_CSharp
{
    public partial class Form1 : Form
    {
        private const int STATE_NOT_RUNNING = 0;
        private const int STATE_NOT_REGISTERED = 1;
        private const int STATE_IDLE = 2;
        private const int STATE_RINGING = 3;
        private const int STATE_ALERTING = 4;
        private const int STATE_CONNECTED = 5;

        private Phone oPhone = new Phone();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            timer1.Interval = 1000;
            timer1.Enabled = true;
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            GetState();
        }

        private void cmdClose_Click(object sender, EventArgs e)
        {
            Close();
        }

        
        private void GetState()
        {
            int nState = oPhone.GetState();
            lblState.Text = "State: " + GetStateDescription(nState);
        }
        
        private string GetStateDescription(int nState)
        {
            switch (nState)
            {
                case STATE_NOT_RUNNING: return "STATE_NOT_RUNNING";
                case STATE_NOT_REGISTERED:  return "STATE_NOT_REGISTERED";
                case STATE_IDLE:  return "STATE_IDLE";
                case STATE_RINGING:  return "STATE_RINGING";
                case STATE_ALERTING:  return "STATE_ALERTING";
                case STATE_CONNECTED:  return "STATE_CONNECTED";
                default: return "STATE_UNKNOWN";
            }
        }

        private void cmbMakeCall_Click(object sender, EventArgs e)
        {
            oPhone.MakeCall(txtDestination.Text);
        }

        private void cmdEndCall_Click(object sender, EventArgs e)
        {
            oPhone.EndCall();
        }

        private void cmbShowProgram_Click(object sender, EventArgs e)
        {
            if (oPhone.IsProgramRunning() != 0)
                oPhone.ShowProgram(1);
            else
                oPhone.RunProgram();
        }

        private void cmbHideProgram_Click(object sender, EventArgs e)
        {
            oPhone.ShowProgram(0);
        }

        

        
    }
}